Bug 521746 - kernel boot hangs on ThinkPad X61 (Intel i915 graphics)
Summary: kernel boot hangs on ThinkPad X61 (Intel i915 graphics)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: http://www.smolts.org/client/show/pub...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 05:50 UTC by Ben Liblit
Modified: 2009-10-27 10:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 10:05:48 UTC


Attachments (Terms of Use)

Description Ben Liblit 2009-09-08 05:50:01 UTC
kernel-2.6.30.5-43.fc11.i586 hangs during boot on my ThinkPad X61 laptop.  The same problem appeared in all kernel-2.6.29.6-* releases as well.  The last kernel which booted successfully was kernel-2.6.29.4-167.fc11.i586.  I did not try any kernel-2.6.29.5-* release, so all I can say is that something broke between kernel-2.6.29.4 and kernel-2.6.29.6.

If I remove "quiet rhgb" from the kernel command line to try to see where it is hanging, I see various text stream by and then the display changes resolution and is cleared.  At this point it hangs, showing only a blinking text cursor on the screen.

If I remove "quiet rhgb" and also add "i915.modeset=0" to the kernel command line, then I can see that the following were the last lines printed before the hang:

	input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:02/input/input6
	ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
	[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

Searching for this in the dmesg output of a successful boot, I can see that the next text that *would* have appeared would probably be:

	kjournald starting.  Commit interval 5 seconds
	EXT3-fs: mounted filesystem with ordered data mode.

Hopefully that gives a narrow-enough interval to help diagnose what went wrong.  Personally, I suspect something video-related, but that might be a red herring.

Incidentally, once booting hangs, the kernel is not completely dead.  It is still alive enough to respond to Control-Alt-Delete by printing the following messages before rebooting:

	md: stopping all md devices.
	sd 0:0:0:0: [sda] Synchronizing SCSI cache
	Restarting system.
	machine restart

Comment 1 Ben Liblit 2009-09-08 05:57:35 UTC
URL field set to the affected machine's smolt profile, in case more hardware details are needed.

Comment 2 Daisuke Tonoki 2009-09-09 04:14:57 UTC
I maybe have same problem on ThinkPad X300.
Do you use PAE kernel?
My simple workaround is that, do not use kernel-PAE.

drm-intel-gem-use-dma32-on-pae.patch

Comment 3 Ben Liblit 2009-09-09 17:04:35 UTC
No, I am not using the PAE kernel.

Comment 4 Vedran Miletić 2009-10-26 11:31:16 UTC
Can you retry with Fedora 12 Beta LiveCD?

Comment 5 Ben Liblit 2009-10-27 02:14:29 UTC
Fedora 12 Beta works fine.

Strictly speaking, I did not use a LiveCD, as the X61 model has no optical drive.  I used liveusb-creator to build a bootable Fedora 12 Beta Live USB flash drive, which worked perfectly.

Comment 6 Vedran Miletić 2009-10-27 10:05:48 UTC
Oh, of course. I forgot to check that. But it should be equivalent in some way.

Thanks for reporting back. Apparently it will be fixed when Fedora 12 comes out.


Note You need to log in before you can comment on or make changes to this bug.